Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ru.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ru.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ru.pm	(revision 34921)
@@ -338,7 +2217,7 @@
       },
     },
-   'GPSLongitude' => 'ÐÐŸÐ»Ð³ÐŸÑÐ°',
-   'GPSLongitudeRef' => {
-      Description => 'ÐÐŸÑÑÐŸÑÐœÐ°Ñ ÐžÐ»Ðž Ð·Ð°Ð¿Ð°ÐŽÐœÐ°Ñ ÐŽÐŸÐ»Ð³ÐŸÑÐ°',
+   'GPSDestLongitude' => 'GPS â ÐÐŸÐ»Ð³ÐŸÑÐ° ÐŸÐ±ÑÐµÐºÑÐ° ÑÑÑÐŒÐºÐž',
+   'GPSDestLongitudeRef' => {
+      Description => 'GPS â ÐÐœÐŽÐµÐºÑ ÐŽÐŸÐ»Ð³ÐŸÑÑ ÐŸÐ±ÑÐµÐºÑÐ° ÑÑÑÐŒÐºÐž',
       PrintConv => {
         'East' => 'ÐÐŸÑÑÐŸÑÐœÐ°Ñ ÐŽÐŸÐ»Ð³ÐŸÑÐ°',
@@ -346,42 +2225,87 @@
       },
     },
-   'GPSMapDatum' => 'ÐÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÑ ÐŽÐ°ÐœÐœÑÐµ Ð³ÐµÐŸÐŽÐµÐ·ÐžÑÐµÑÐºÐžÑ
- ÐžÑÑÐ»ÐµÐŽÐŸÐ²Ð°ÐœÐžÐ¹',
+   'GPSDifferential' => {
+      Description => 'GPS â ÐÐžÑÑÐµÑÐµÐœÑÐžÐ°Ð»ÑÐœÐ°Ñ Ð¿ÐŸÐ¿ÑÐ°Ð²ÐºÐ°',
+      PrintConv => {
+        'Differential Corrected' => 'ÐÐžÑÑÐµÑÐµÐœÑÐžÐ°Ð»ÑÐœÐ°Ñ Ð¿ÐŸÐ¿ÑÐ°Ð²ÐºÐ° Ð¿ÑÐžÐŒÐµÐœÐµÐœÐ°',
+        'No Correction' => 'ÐÐ·ÐŒÐµÑÐµÐœÐžÐµ Ð±ÐµÐ· ÐŽÐžÑÑÐµÑÐµÐœÑÐžÐ°Ð»ÑÐœÐŸÐ¹ Ð¿ÐŸÐ¿ÑÐ°Ð²ÐºÐž',
+      },
+    },
+   'GPSHPositioningError' => 'GPS â ÐÑÐžÐ±ÐºÐ° Ð³ÐŸÑÐžÐ·ÐŸÐœÑÐ°Ð»ÑÐœÐŸÐ³ÐŸ Ð¿ÐŸÐ·ÐžÑÐžÐŸÐœÐžÑÐŸÐ²Ð°ÐœÐžÑ',
+   'GPSImgDirection' => 'GPS â ÐÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ ÐºÐ°ÐŒÐµÑÑ Ð¿ÑÐž ÑÑÑÐŒÐºÐµ',
+   'GPSImgDirectionRef' => {
+      Description => 'GPS â ÐÑÐžÐµÐœÑÐžÑ ÐœÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ ÐºÐ°ÐŒÐµÑÑ',
+      PrintConv => {
+        'Magnetic North' => 'ÐÐ° ÐŒÐ°Ð³ÐœÐžÑÐœÑÐ¹ ÑÐµÐ²ÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÑ',
+        'True North' => 'ÐÐ° Ð³ÐµÐŸÐ³ÑÐ°ÑÐžÑÐµÑÐºÐžÐ¹ ÑÐµÐ²ÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÑ',
+      },
+    },
+   'GPSInfo' => 'IFD ÑÐºÐ°Ð·Ð°ÑÐµÐ»Ñ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž GPS',
+   'GPSLatitude' => 'GPS â ÐšÐžÑÐŸÑÐ°',
+   'GPSLatitudeRaw' => 'GPS â ÐšÐžÑÐŸÑÐ° â Raw',
+   'GPSLatitudeRef' => {
+      Description => 'GPS â ÐÐœÐŽÐµÐºÑ ÑÐžÑÐŸÑÑ',
+      PrintConv => {
+        'North' => 'Ð¡ÐµÐ²ÐµÑÐœÐ°Ñ ÑÐžÑÐŸÑÐ°',
+        'South' => 'Ð®Ð¶ÐœÐ°Ñ ÑÐžÑÐŸÑÐ°',
+      },
+    },
+   'GPSLongitude' => 'GPS â ÐÐŸÐ»Ð³ÐŸÑÐ°',
+   'GPSLongitudeRaw' => 'GPS â ÐÐŸÐ»Ð³ÐŸÑÐ° â Raw',
+   'GPSLongitudeRef' => {
+      Description => 'GPS â ÐÐœÐŽÐµÐºÑ ÐŽÐŸÐ»Ð³ÐŸÑÑ',
+      PrintConv => {
+        'East' => 'ÐÐŸÑÑÐŸÑÐœÐ°Ñ ÐŽÐŸÐ»Ð³ÐŸÑÐ°',
+        'West' => 'ÐÐ°Ð¿Ð°ÐŽÐœÐ°Ñ ÐŽÐŸÐ»Ð³ÐŸÑÐ°',
+      },
+    },
+   'GPSLongtitude' => 'GPS â ÐÐŸÐ»Ð³ÐŸÑÐ°',
+   'GPSMapDatum' => 'GPS â Ð¡ÐžÑÑÐµÐŒÐ° ÐºÐŸÐŸÑÐŽÐžÐœÐ°Ñ',
    'GPSMeasureMode' => {
-      Description => 'Ð ÐµÐ¶ÐžÐŒ ÐžÐ·ÐŒÐµÑÐµÐœÐžÑ GPS',
-      PrintConv => {
-        '3-Dimensional Measurement' => '3-ÐŒÐµÑÐœÐŸÐµ ÐžÐ·ÐŒÐµÑÐµÐœÐžÐµ',
-      },
-    },
-   'GPSProcessingMethod' => 'ÐÐ°Ð·Ð²Ð°ÐœÐžÐµ ÐŒÐµÑÐŸÐŽÐ° ÐŸÐ±ÑÐ°Ð±ÐŸÑÐºÐž GPS',
-   'GPSSatellites' => '"Ð¡Ð¿ÑÑÐœÐžÐºÐž GPS, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÐŒÑÐµ ÐŽÐ»Ñ ÐžÐ·ÐŒÐµÑÐµÐœÐžÑ"',
-   'GPSSpeed' => 'Ð¡ÐºÐŸÑÐŸÑÑÑ GPS-ÑÑÑÑÐŸÐ¹ÑÑÐ²Ð°',
+      Description => 'GPS â Ð ÐµÐ¶ÐžÐŒ ÐžÐ·ÐŒÐµÑÐµÐœÐžÑ GPS',
+      PrintConv => {
+        '2-Dimensional Measurement' => '2-ÐŒÐµÑÐœÐ°Ñ ÐœÐ°Ð²ÐžÐ³Ð°ÑÐžÑ',
+        '3-Dimensional Measurement' => '3-ÐŒÐµÑÐœÐ°Ñ ÐœÐ°Ð²ÐžÐ³Ð°ÑÐžÑ',
+      },
+    },
+   'GPSPosition' => 'GPS â ÐÐµÑÑÐŸÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÐµ',
+   'GPSProcessingMethod' => 'GPS â ÐÐµÑÐŸÐŽ Ð²ÑÑÐžÑÐ»ÐµÐœÐžÑ Ð¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐžÑ',
+   'GPSSatellites' => 'GPS â ÐÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÐŒÑÐµ ÑÐ¿ÑÑÐœÐžÐºÐž',
+   'GPSSpeed' => 'GPS â Ð¡ÐºÐŸÑÐŸÑÑÑ Ð¿ÐµÑÐµÐŽÐ²ÐžÐ¶ÐµÐœÐžÑ',
+   'GPSSpeed3D' => 'GPS â Ð¡ÐºÐŸÑÐŸÑÑÑ 3D',
+   'GPSSpeedRaw' => 'GPS â ÑÐºÐŸÑÐŸÑÑÑ â Raw',
    'GPSSpeedRef' => {
-      Description => 'Ð¡ÐºÐŸÑÐŸÑÑÐœÐŸÐ¹ ÑÐ»ÐµÐŒÐµÐœÑ',
-      PrintConv => {
-        'km/h' => 'ÐÐžÐ»ÐŸÐŒÐµÑÑÑ Ð² ÑÐ°Ñ',
+      Description => 'GPS â ÐÐŽÐžÐœÐžÑÑ ÐžÐ·ÐŒÐµÑÐµÐœÐžÑ ÑÐºÐŸÑÐŸÑÑÐž',
+      PrintConv => {
+        'km/h' => 'ÐÐŒ/Ñ',
         'knots' => 'Ð£Ð·Ð»Ñ',
-        'mph' => 'ÐÐžÐ»Ðž Ð² ÑÐ°Ñ',
-      },
-    },
+        'mph' => 'ÐÐžÐ»Ñ/Ñ',
+      },
+    },
+   'GPSSpeedX' => 'GPS â Ð¡ÐºÐŸÑÐŸÑÑÑ Ð¿ÐŸ X',
+   'GPSSpeedY' => 'GPS â Ð¡ÐºÐŸÑÐŸÑÑÑ Ð¿ÐŸ Y',
+   'GPSSpeedZ' => 'GPS â Ð¡ÐºÐŸÑÐŸÑÑÑ Ð¿ÐŸ Z',
    'GPSStatus' => {
-      Description => 'Ð¡ÐŸÑÑÐŸÑÐœÐžÐµ GPS-ÑÑÑÑÐŸÐ¹ÑÑÐ²Ð°',
-      PrintConv => {
-        'Measurement Active' => 'ÐÑÐŸÐžÐ·Ð²ÐŸÐŽÐžÑÑÑ ÐžÐ·ÐŒÐµÑÐµÐœÐžÐµ',
-        'Measurement Void' => 'ÐÐ·Ð°ÐžÐŒÐœÐ°Ñ ÑÐŸÐ²ÐŒÐµÑÑÐžÐŒÐŸÑÑÑ ÐžÐ·ÐŒÐµÑÐµÐœÐžÐ¹',
-      },
-    },
-   'GPSTimeStamp' => 'GPS-Ð²ÑÐµÐŒÑ (Ð°ÑÐŸÐŒÐœÑÐµ ÑÐ°ÑÑ)',
-   'GPSTrack' => 'ÐÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐŽÐ²ÐžÐ¶ÐµÐœÐžÑ',
+      Description => 'GPS â Ð¡ÐŸÑÑÐŸÑÐœÐžÐµ Ð¿ÑÐžÑÐŒÐœÐžÐºÐ° Ð²ÐŸ Ð²ÑÐµÐŒÑ ÑÑÑÐŒÐºÐž',
+      PrintConv => {
+        'Measurement Active' => 'ÐÐŸÐŸÑÐŽÐžÐœÐ°ÑÑ Ð°ÐºÑÑÐ°Ð»ÑÐœÑÐµ',
+        'Measurement Void' => 'ÐÐºÑÑÐ°Ð»ÑÐœÑÑ
+ ÐºÐŸÐŸÑÐŽÐžÐœÐ°Ñ ÐœÐµÑÑ',
+      },
+    },
+   'GPSTimeStamp' => 'GPS â ÐÑÐµÐŒÑ Ð·Ð°Ð¿ÐžÑÐ°ÐœÐœÑÑ
+ ÐºÐŸÐŸÑÐŽÐžÐœÐ°Ñ',
+   'GPSTrack' => 'GPS â Ð¢ÑÐµÐº',
+   'GPSTrackRaw' => 'GPS â Ð¢ÑÐµÐº â Raw',
    'GPSTrackRef' => {
-      Description => 'ÐÐ¿ÐŸÑÐœÐ°Ñ Ð²ÐµÐ»ÐžÑÐžÐœÐ° ÐœÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ ÐŽÐ²ÐžÐ¶ÐµÐœÐžÑ',
-      PrintConv => {
-        'Magnetic North' => 'ÐÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐŒÐ°Ð³ÐœÐžÑÐœÐŸÐ¹ ÑÑÑÐµÐ»ÐºÐž',
-        'True North' => 'ÐÑÑÐžÐœÐœÐŸÐµ ÐœÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ',
-      },
-    },
-   'GPSVersionID' => 'ÐÐµÑÑÐžÑ GPS-ÑÑÐ³Ð°',
+      Description => 'GPS â ÐÑÐžÐµÐœÑÐžÑ ÐœÐ°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ',
+      PrintConv => {
+        'Magnetic North' => 'ÐÐ° ÐŒÐ°Ð³ÐœÐžÑÐœÑÐ¹ ÑÐµÐ²ÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÑ',
+        'True North' => 'ÐÐ° Ð³ÐµÐŸÐ³ÑÐ°ÑÐžÑÐµÑÐºÐžÐ¹ ÑÐµÐ²ÐµÑÐœÑÐ¹ Ð¿ÐŸÐ»ÑÑ',
+      },
+    },
+   'GPSVersionID' => 'GPS â ÐÐµÑÑÐžÑ ÑÐµÐ³ÐŸÐ²',
    'GainControl' => {
-      Description => 'Ð£Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÑÐ°Ð³ÐŸÐŒ',
+      Description => 'Ð£Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÑÑÐžÐ»ÐµÐœÐžÐµÐŒ',
       PrintConv => {
         'High gain down' => 'Ð¡ Ð±ÐŸÐ»ÑÑÐžÐŒ ÑÐ°Ð³ÐŸÐŒ Ð²ÐœÐžÐ·',
